<?php
include_once("c_debug_info.php");
include_once(_DIR_TO_MODULES.'/engine/i_disk.php') ;
class c_page_cab_debug_info_sql extends c_page_cab_debug_info
{
  public $h1='Выполнение SQL' ;


  function block_main()
  { $this->page_title() ;
   if ($GLOBALS['LS_debug_mode'])
   { if (MEMBER()->info['debug_sql']){?><button class="button v2" cmd="aspmo_debug/toogle_debug_sql">Выключить режим отладки SQL для этого аккаунта</button><br><br><?}
     else                            {?><button class="button v2" cmd="aspmo_debug/toogle_debug_sql">Включить режим отладки SQL для этого аккаунта</button><br><br><?}
   }
     ?>
      <form><p>Допускаются только запросы на чтение данных, запросы insert, replace, delete, drop, truncate, create, alter будут отклонены</p>
       <textarea name=sql style="width:100%;height:300px;"><?echo $_POST['sql']?></textarea>
       <input  class="button v1 left" cmd=execSQL type="submit" value="Выполнить">

     </form><?
    if ($_POST['cmd']=='execSQL')
    {  if (
           (stripos($_POST['sql'],'insert')===false and
           stripos($_POST['sql'],'replace')===false and
           stripos($_POST['sql'],'delete')===false and
           stripos($_POST['sql'],'drop')===false and
           stripos($_POST['sql'],'truncate')===false and
           stripos($_POST['sql'],'create')===false and
           stripos($_POST['sql'],'alter')===false
           )
           or
           ($GLOBALS['LS_allow_sql_update']==1)
          )
        { LOGS()->reg_log('SQL_request_from_cab',$_POST['sql']) ;
        $sql=$_POST['sql'] ;
        $sql=str_replace('$time',time(),$sql) ;
        $res=execSQL($sql,1,1) ;
        print_2x_arr($res) ;
        }
        else
        {
            //LOGS()->reg_log('SQL_request_from_cab',$_POST['sql']) ;
            //$cnt=execSQL_update($_POST['sql']) ;
            //echo 'Измерения затронули <strong>'.$cnt.'</strong> записей<br>' ;
            echo '<div class="alert">Недопустимый оператор запроса</div>' ;
        }
    }
   }
}



?>
